View Issue Details

IDProjectCategoryView StatusLast Update
0031420RunnerFunctionsPublic2019-10-15 12:35
ReporterScott DunbarAssigned ToRussell Kay 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031420: Functions: string_upper/lower() on md5_file() result of a file that does not exist causes crash
DescriptionIssue:
 Performing string_upper/string_lower on md5_file() of a file that does not exist causes runner to crash without error

expected:
 Error detailing the crash with stack
Steps To Reproduce1. Import attached project
2. Run project
3. Press 1 to target a non-existing file
4. then Press 2 to trigger the crash

my_md5 = string_upper(md5_file(my_path));
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.3.344
2.x Runtime Verified In2.2.4.368

Activities

Scott Dunbar

2019-10-09 11:31

Adminstrator  

md5_file_bug.yyz (21,614 bytes)

Russell Kay

2019-10-09 13:57

Manager   ~0064942

Fixed in gitlab

Dan

2019-10-11 15:20

Adminstrator   ~0064966

Runtime 367+

Scott Dunbar

2019-10-15 12:35

Adminstrator   ~0064989

Verified fixed - will not error, just returns empty